from django.db import models

class Author(models.Model):
    first_name = models.CharField(max_length=50, blank=True, null=True)
    last_name = models.CharField(max_length=50, blank=True, null=True)
    age = models.IntegerField(blank=True, null=True)
    nationality = models.CharField(max_length=50, blank=True, null=True)
    bio = models.TextField(max_length=700, blank=True, null=True)

    def __str__(self):
        return self.first_name

class Books(models.Model):
    title = models.CharField(max_length=50, blank=True, null=True)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=50, blank=True, null=True)
    year_published = models.CharField(max_length=50, blank=True, null=True)
    ISBN = models.IntegerField(blank=True, null=True)
    blurb = models.TextField(blank=True, null=True)

    def __str__(self):
        return self.title